package cn.com.ctop.kuaishou.modules.batch.mapper;

import cn.com.ctop.kuaishou.modules.batch.entity.JyClipCooperation;
import cn.com.ctop.kuaishou.modules.batch.entity.JyClipTopList;
import cn.com.ctop.kuaishou.modules.batch.entity.JyOrderList;
import com.alibaba.fastjson.JSONArray;
import com.alibaba.fastjson.JSONObject;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface JiaoYangFenXiaoMapper {
    List<JSONObject> getCookie();

    void replace(@Param("adds") List<JyOrderList> adds);

    void replaceClipCooperation(@Param("adds") List<JyClipCooperation> adds);

    String getCookieById(@Param("id") Long id);

    List<JSONObject> getAccountList();

    void replaceTopItem(@Param("adds") List<JyClipTopList>  adds);
}
